pro get_chan_spec,ihead,chan,mode,    w_vac,f,err,solv_w,beta_w,alpha_w

; ihead - head #
; chan  - channel
; mode  - "screen" or "print"

;       actual air wavelengths [nm] of MFRSR #271 measured in 2002:
; w_air=[299.758,305.408,311.485,317.638,325.498,332.558,367.906]
;       schifted to vac  wavelengths [nm] of MFRSR #271 (see airvac.pro )
; w_vac=[299.845,305.497,311.575,317.730,325.592,332.654,368.011]

print,'>get_chan_trans'   

iskip=2
;read,'input 1 to skip reading ETS: ',iskip
if iskip eq 1 then goto,skip
get_xsecV8,l_solv,ml_solv,solv,betv_s,c0v_s,c1v_s,c2v_s
skip:

get_srfw,ihead,chan,w_vac,f,err 		; get SRF of MFRSR #ihead (vac) from the web site

;	Interpolate ETS and X-sections to w_vac
solv_w=interpol(solv,l_solv,w_vac)  		; ETS interpolated to SRF vac wavelengths
beta_w=interpol(betv_s,l_solv,w_vac)     	; spectral tau_ray
c0v_w =interpol(c0v_s,l_solv,w_vac)		; ozone: spectral C0
c1v_w =interpol(c1v_s,l_solv,w_vac)
c2v_w =interpol(c2v_s,l_solv,w_vac)
TC=-45.0   ; use alpha(T=-45C) multiplied by measured Total ozone as a first approximation;
alpha_w=c0v_w + c1v_w*TC + c2v_w*TC*TC

;		PLOT SRF CHANNEL
ozone_temp=350.0             ; [DU]
pres_rel_temp=1.000         ; Pressure, atm
airmass_temp=2.0             ; airmass (molecular)

plot_chan_srf,ihead,ozone_temp,pres_rel_temp,airmass_temp,mode,chan,w_vac,f,err,solv_w,beta_w,alpha_w,$
tau_ray_eff,tau_aer_eff,tau_oz_eff,l_rad		;     SAMPLE OUTPUT

print,'w_vac=' & print,w_vac



return
end
