pro get_fltw_aeronet,file,first_w,end_w,n_columns,n_rows,skip_rows,w325,fp_int,err325

;	MODIFIED
; 03/09/05 to interpolate low resolution (0.5nm) SRF440 (measured by Partick CUCF) into AERONET spectral grid (0.2nm)

;	First read AERONET SRF440nm just to get appropriate wavelength grid
openr,1,'/home/krotkov/AERONET/FILTER/C101/CIM_101_09102003_CH3_440_profile'	; AERONET SRF with ~100points (0.2nm steps)
x='' & for i=0,1 do readf,1,x & a=fltarr(2,102) & readf,1,a & close,1

; 0    	   1   
;X: 1/10/97, 14:08:10^M
;#
;430.0   0.0371^M
;430.2   0.0423^M


w=reform(a(0,*))

ind=where(w ge first_w and w le end_w, count) 
if count le 50 then begin
print,'get_flt_aeronet:  <50 wavelengths in SRF',first_w,end_w
stop
endif

f325=reform(a(1,ind)) & w325=w(ind) & err325=w325 & err325(*)=0.01 ;   nominal error (not measured)

; f325=f325 > 0.00
;ind2=where(f325 le 0.0,count2) & print,'count2=',count2
;f325(ind2)=0.0	; assume no contribution for f325 < 0.0

; Normalization
numb=n_elements(w325) ;& print,n_elements(w325)
norm=int_tabulated(w325,f325) ;& print,'norm=',norm
f325=f325/norm
;print,'int_tabulated=',int_tabulated(w325,f325)
print,'w325'
print,w325
;print,'f325'
;print,f325

openr,1,file	; Patrick's SRF with ~40points (0.5nm steps)
x='' & for i=0,skip_rows-1 do readf,1,x & ap=fltarr(n_columns,n_rows) & readf,1,ap & close,1
wp=reform(ap(0,*)) &  fp=reform(ap(1,*)) 		;   Patrick's measured SRF 


;	Interpolation of fp to AERONET spectral grid
fp_int=interpol(fp,wp,w325)
norm1=int_tabulated(w325,fp_int) ;& print,'norm=',norm
fp_int=fp_int/norm1
print,'int_tabulated1=',int_tabulated(w325,fp_int)

print,'fp_int' &  print,fp_int

return
end
