pro plot_lnv0_new,sza_min,sza_max,corr_fov,year,month,day,chan,mode,r2,count_day,time_tolerance,delta_time1,sza1,am1,nm368b,aot368_aeronet,tau_ray,tau_oz,mean_ozone,mean_toms_ler,mean_psite,pres1,time1,lnv0368,tot368b,$
count3,mean_lnv0368_3, sigma_lnv0368_3,mean_aot368,c0368_best,sigma_c0368_best,c1368_best,sigma_c1368_best,sigma_langley_best,am1_best,am2_best, c0368_am,sigma_c0368_am,sigma_langley_am,am1_am,am2_am,sig_aot,w_final,count_w_final,aot368_mfrsr,aot340b,aot380b,aot440b,aot500b

;		MODIFIED
; 	04/20/2007 - change V0 - >  I0 for Richland                                         
; 	07/24/2006 - change x (time) range for Richland, WA                         
; 	07/18/2006 - change x range for Thessaloniki                         
; 	01/05/2006 - change x range                                          
; 	05/13/2005 - if count1 =-1 then w_final=-1 (calibration fails)
;	05/03/2005 - to add sza_min,sza_max                                      
;	03/01/2005 - to add aot340b,aot380b,aot440b,aot500b - AERONET AOT
;	02/25/2005 - to plot 440nm channel

cd_input=string(day,format='(i2)') & cm_input=string(month,format='(i2)')
name_output='v0'+chan+string(year,format='(i4)')+strcompress(cm_input,/remove_all)+strcompress(cd_input,/remove_all)+'.ps'

;name_output='v0'+chan+string(year,format='(i4)')+string(month,format='(i5)')+string(day,format='(i3)')+'.ps'

ctitle='I!d0!n('+chan+') using AERONET AOT at Richland  '+string(year,format='(i4)')+string(month,format='(i5)')+string(day,format='(i3)')


if chan eq '300nm' then begin
annual_lnv0_norm=7.65  	; annual mean of lnV0300 normalized to sun-Earth distance
yct='ln(V!do!n) at 300nm' & ymin=annual_lnv0_norm-0.1 & ymax=annual_lnv0_norm+0.1 &  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '305nm' then begin
annual_lnv0_norm=7.65  	; annual mean of lnV0305 normalized to sun-Earth distance
deviation_lnv0=0.1		; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(V!do!n) at 305nm' & ymin=annual_lnv0_norm-0.1 & ymax=annual_lnv0_norm+0.1 &  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '311nm' then begin
annual_lnv0_norm=7.65  	; annual mean of lnV0311 normalized to sun-Earth distance
deviation_lnv0=0.1		; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(V!do!n) at 311nm' & ymin=annual_lnv0_norm-0.1 & ymax=annual_lnv0_norm+0.1 &  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '317nm' then begin
annual_lnv0_norm=7.65  	; annual mean of lnV0317 normalized to sun-Earth distance
deviation_lnv0=0.1		; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(V!do!n) at 317nm' & ymin=annual_lnv0_norm-0.1 & ymax=annual_lnv0_norm+0.1 &  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '325nm' then begin
annual_lnv0_norm=7.70  	; annual mean of lnV0325 normalized to sun-Earth distance
deviation_lnv0=0.15	; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(V!do!n) at 325nm' & ymin=annual_lnv0_norm-0.15            & ymax=annual_lnv0_norm+0.15        &  ycv0av=ymax - 0.02  & ycv0sig=ycv0av & dycv0av=0.01

end else if chan eq '332nm' then begin
annual_lnv0_norm=7.60  	; annual mean of lnV0332 normalized to sun-Earth distance
deviation_lnv0=0.15	; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(V!do!n) at 332nm' & ymin=annual_lnv0_norm-deviation_lnv0 & ymax=annual_lnv0_norm+deviation_lnv0 &  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av & dycv0av=0.01

end else if chan eq '368nm' then begin
annual_lnv0_norm=0.1  	; annual mean of lnV0368 normalized to sun-Earth distance
deviation_lnv0=0.2		; maximal allowed deviation of lnv0_norm from annual mean
yct='ln(I!do!n) at 368nm' & ymin=annual_lnv0_norm-deviation_lnv0 & ymax=annual_lnv0_norm+deviation_lnv0 &  ycv0av=annual_lnv0_norm+0.17 & ycv0sig=ycv0av & dycv0av=0.010


end else begin
print,'not a valid channel: ',chan                                                             
stop

end



if mode eq 'screen' then begin
set_plot,'X' & device,pseudo_color=8
endif else begin
set_plot,'PS' & device,/color,/landscape,filename=name_output
endelse

;title_plot
;               Blue                    Red
;        0  1   2   3   4   5  6    7   8   9   10  11  12  13  14
;       -30 -25 -20 -15 -10 -5      0  +5  +10 +15 +20 +25 +30 +35
rr = [255,000,000,000,000,100,150,000,255,255,255,255,200,150,000]
gg = [255,000,050,100,150,200,220,240,230,150,100,060,020,000,000]
bb = [255,150,240,255,255,255,255,000,230,150,100,060,020,000,000]
col=[0,2,9,11,13,14]

!p.background=0

tvlct,rr,gg,bb
!p.thick=1
!p.charsize=1.1
!p.charthick=1
!x.thick=3
!y.thick=4



xct='Time of Day, GMT' & xmin=14.  & xmax=27.& xleg=20.0 ; Richland

for i=0,n_elements(time1)-1 do if (time1(i) lt 10 ) then time1(i)=time1(i) + 24. ; to plot next UT day




pres_max=1.01 & pres_min=0.99	; Richland

;			AOT scale
temp=moment(aot368_aeronet) & mean_aot368=temp(0) ;& print,'mean_aot368=',mean_aot368
ymax_aot=annual_lnv0_norm-0.05                     & ymin_aot=ymin+0.01
;print,'ymin_aot,ymax_aot',ymin_aot,ymax_aot
max_aot=max(aot368_aeronet)  & min_aot=min(aot368_aeronet) 
;max_aot=max(aot368_aeronet) > 0.02  & min_aot=min(aot368_aeronet) < 0.01
;print,'min_aot,max_aot', min_aot,max_aot
scale_aot=(ymax_aot-ymin_aot)/(max_aot-min_aot)   & aot_offset=ymax_aot-scale_aot*max_aot
scale_pres=(ymax_aot-ymin_aot)/(pres_max-pres_min)  & pres_offset=ymax_aot-scale_pres*pres_max   

;

plot,time1,lnv0368,color=14,/nodata, title=ctitle,$
ytitle=yct, yrange=[ymin,ymax],ystyle=8,$
xtitle=xct,xrange=[xmin,xmax],/xs
!p.color=14
plots,[xmin,xmax],[ymax_aot,ymax_aot],line=1 ;& xyouts,20,ymax_aot+0.005,'Pressure=1.01atm'
plots,[xmin,xmax],[ymin_aot,ymin_aot],line=1 ;& xyouts,20,ymin_aot+0.005,'Pressure=0.99atm'
xyouts,xleg-5,ycv0av-dycv0av,'<Pressure,atm>=' & xyouts,xleg+2.5-5,ycv0av-dycv0av,string(mean_psite,format='(f5.3)' )
oplot,time1,scale_pres*pres1  +pres_offset,psym=3,sym=0.5
xyouts,xleg-5,ycv0av,'<Ozone, DU>=' & xyouts,xleg+2.0-5,ycv0av,string(mean_ozone,format='(f5.0)' )
xyouts,xleg-5,ycv0av-2.*dycv0av,'TOMS LER=' & xyouts,xleg+1.5-5,ycv0av-2.*dycv0av,string(mean_toms_ler,format='(f5.2)' )


!p.color=11         
oplot,time1,lnv0368,psym=1,sym=0.5
mlnv0368=moment(lnv0368) & mean_lnv0368=mlnv0368(0) & sigma_lnv0368=sqrt(mlnv0368(1)) &  v0368_raw=exp(mean_lnv0368)

xyouts,xleg,ycv0av,'<lnI!do!n>=' & xyouts,xleg+0.8,ycv0av,string(mean_lnv0368,format='(f6.3)' ) & xyouts,xleg+2.8,ycv0sig,'!4r!x!dlnI0!n=' & xyouts,xleg+3.5,ycv0sig,string(sigma_lnv0368,format='(f6.3)' ) & xyouts,xleg+4,ycv0sig,count_day          
;xyouts,xleg,ycv0av,'<I!do!n>=' & xyouts,xleg+0.8,ycv0av,string(v0368_raw,format='(f7.1)' ) & xyouts,xleg+2.8,ycv0sig,'!4r!x!dlnV0!n=' & xyouts,xleg+3.5,ycv0sig,string(sigma_lnv0368,format='(f6.3)' ) & xyouts,xleg+4,ycv0sig,count_day                                                                                    
;plots,[xmin,xmax],[mean_lnv0368,mean_lnv0368],thick=0.5
;print,'min lnV0368=',min(lnv0368),'   max lnV0368=',max(lnv0368),'   <lnv0368>=',mean_lnv0368,'   sigma=',sigma_lnv0368,'  <V0_RAW(368nm)>=',v0368_raw,count_day

;		Filter raw lnv0368 first outside [lnv0368_min,lnv0368_max]; next outside of 3.0 sigma ( 2 times)

!p.color=7  &  w1=where(abs(lnv0368+alog(r2) - annual_lnv0_norm ) lt deviation_lnv0,count1) ; corrected nk 04/11/30

if count1 lt 3 then begin
count_w_final=-1			; calibration fails on this day
goto,out_w1
endif

;!p.color=7  & w1=where(abs(lnv0368-  annual_lnv0_norm-alog(r2)  ) lt deviation_lnv0,count1) ; old and probably incorrect statement
;print,count1
;print,r2,annual_lnv0_norm/r2,deviation_lnv0

temp_1=moment(lnv0368(w1)) & mean_lnv0368_1=temp_1(0) & sigma_lnv0368_1=sqrt(temp_1(1)) & v0368_raw_1=exp(mean_lnv0368_1) 
;print,'min lnV0368=',min(lnv0368(w1)),'   max lnV0368=',max(lnv0368(w1)),'   <lnv0368>=',mean_lnv0368_1,'   sigma=',sigma_lnv0368_1,'  <V0_RAW(368nm)>=',v0368_raw_1,count1
ycv0av=ycv0av-dycv0av  & ycv0sig=ycv0sig-dycv0av
xyouts,xleg,ycv0av,'<lnI!d0!n>=' & xyouts,xleg+0.8,ycv0av,string(mean_lnv0368_1,format='(f6.3)' ) & xyouts,xleg+2.8,ycv0sig,'!4r!x!dlnI0!n=' & xyouts,xleg+3.5,ycv0sig,string(sigma_lnv0368_1,format='(f6.3)' ) & xyouts,xleg+4,ycv0sig,count1                                                                                    
oplot,time1(w1),lnv0368(w1),psym=4,sym=0.5

;		Filtered Langley plot
coe_fit=poly_fit(am1(w1),alog(nm368b(w1)),1,v_fit1,v_band1,sigma_langley1,corrm,/double) 
temp_tot368b=moment(tot368b(w1)) & mean_tot368b=temp_tot368b(0)  & sigma_tot368=sqrt(temp_tot368b(1))		; calculated total tau368 
;print,'Langley lnV0:', ' C0=',coe_fit(0),'  sigma(C0)=',sqrt(corrm(0,0)),'  C1=',coe_fit(1),'  sigma(C1)=',sqrt(corrm(1,1)),'  TAU=',mean_tot368b,'  sigma=',sigma_tot368,' sigma fit',sigma_langley1


;		Filter data again outside of 3.*sigma1
w2=where(abs(lnv0368(w1)-mean_lnv0368_1) lt 3.0*sigma_lnv0368_1,count2) ;& print,'count2=',count2 	;& print,'w2=',w1(w2)
temp_2=moment(lnv0368(w1(w2))) & mean_lnv0368_2=temp_2(0) & sigma_lnv0368_2=sqrt(temp_2(1))
v0368_raw_2=exp(mean_lnv0368_2) ;& print,'<V0>=',v0368_raw_2
;print,'min lnV0368=',min(lnv0368(w1(w2))),'   max lnV0368=',max(lnv0368(w1(w2))),'   <lnv0368>=',mean_lnv0368_2,'   sigma=',sigma_lnv0368_2,'  <V0_RAW(368nm)>=',v0368_raw_2,count2
!p.color=1 & ycv0av=ycv0av-dycv0av& ycv0sig=ycv0sig-dycv0av
xyouts,xleg,ycv0av,'<lnI!d0!n>=' & xyouts,xleg+0.8,ycv0av,string(mean_lnv0368_2,format='(f6.3)' ) & xyouts,xleg+2.8,ycv0sig,'!4r!x!dlnI0!n=' & xyouts,xleg+3.5,ycv0sig,string(sigma_lnv0368_2,format='(f6.3)' ) & xyouts,xleg+4,ycv0sig,count2                                                                                    
oplot,time1(w1(w2)),lnv0368(w1(w2)),psym=4,sym=0.5

;		Filtered Langley plot
coe_fit=poly_fit(am1(w1(w2)),alog(nm368b(w1(w2))),1,v_fit2,v_band2,sigma_langley2,corrm,/double)
temp_tot368b=moment(tot368b(w1(w2))) & mean_tot368b=temp_tot368b(0)  & sigma_tot368=sqrt(temp_tot368b(1))		; calculated total tau368 
;print,'Langley lnV0:', ' C0=',coe_fit(0),' sigma(C0)=',sqrt(corrm(0,0)),' C1=',coe_fit(1),' sigma(C1)=',sqrt(corrm(1,1)),' TAU=',mean_tot368b,' sigma=',sigma_tot368,' sigma fit=',sigma_langley2

;		Finally: Filter data again outside of 3.*sigma1 and within time_tolerance (min) constrain
w3=where( (abs(lnv0368(w1(w2))-mean_lnv0368_2) lt 3.0*sigma_lnv0368_2)  and $
	  (abs(delta_time1(w1(w2))) le time_tolerance), count3) ;& print,'count3=',count3 ;& print,'w3=',w1(w2(w3)) 
if count3 lt 3 then goto,out_w3
;print,delta_time1(w1(w2))

w_final=w1(w2(w3))		; Final index for all good points
count_w_final=count3

temp_3=moment(lnv0368(w_final)) & mean_lnv0368_3=temp_3(0) & sigma_lnv0368_3=sqrt(temp_3(1))
v0368_raw_3=exp(mean_lnv0368_3) ;& print,'<V0>=',v0368_raw_3
;print,'min lnV0368=',min(lnv0368(w_final)),'   max lnV0368=',max(lnv0368(w_final)),'   <lnv0368>=',mean_lnv0368_3,'   sigma=',sigma_lnv0368_3,'  <V0_RAW(368nm)>=',v0368_raw_3,count3
!p.color=14
ycv0av=ycv0av-dycv0av & ycv0sig=ycv0sig-dycv0av
xyouts,xleg,ycv0av,'<lnI!d0!n>=' & xyouts,xleg+0.8,ycv0av,string(mean_lnv0368_3,format='(f6.3)' ) & xyouts,xleg+2.8,ycv0sig,'!4r!x!dlnI0!n=' & xyouts,xleg+3.5,ycv0sig,string(sigma_lnv0368_3,format='(f6.3)' ) & xyouts,xleg+4,ycv0sig,count3                                                                                    
oplot,time1(w_final),lnv0368(w_final),psym=4,sym=0.5
plots,[xmin,xmax],[mean_lnv0368_2,mean_lnv0368_2],thick=0.5

;xyouts,0.5*(xmin+xmax),mean_lnv0368_2+0.05,'C!dFOV!n='
;xyouts,0.5*(xmin+xmax)+0.3,mean_lnv0368_2+0.05,corr_fov

!p.color=11	;		Final filtered Langley plot

;print,'	Langley results'
;		Morning Langley
lind_am=where(time1(w_final) le 19 and sza1(w_final) ge sza_min AND sza1(w_final) le sza_max,l_count_am)	; Richland     morning Langley for specific sza_min:sza_max interval
;lind_am=where(time1(w_final) le 9 and sza1(w_final) ge sza_min AND sza1(w_final) le sza_max,l_count_am)	; Thessaloniki morning Langley for specific sza_min:sza_max interval
;lind_am=where(time1(w_final) le 16 and sza1(w_final) ge sza_min AND sza1(w_final) le sza_max,l_count_am)	; GSFC morning Langley (10UT-16UT) for specific sza_min:sza_max interval
;lind_am=where(time1(w_final) le 7,l_count_am)	; morning only Langley (UAE sunrise (3UT) to   9UT)
;lind_am=where(time1(w_final) le 16,l_count_am)	; morning only Langley (GSFC sunrise (10UT) to 16UT)

if l_count_am gt 2 then begin
coe_fit=poly_fit(am1(w_final(lind_am)),alog(nm368b(w_final(lind_am))),1,v_fit3,v_band3,sigma_langley_am,corrm,/double) 
c0368_am=coe_fit(0) & sigma_c0368_am=sqrt(corrm(0,0)) & c1368_am=coe_fit(1) & sigma_c1368_am=sqrt(corrm(1,1))
;print,'am Langley'
am1_am=am1(w_final(lind_am(0))) & am2_am=am1(w_final(lind_am(l_count_am-1)))
;print,'am1=',am1(w_final(lind_am(0))),'   am2=',am1(w_final(lind_am(l_count_am-1))),'C0=',c0368_am,' sigmaC0=',sigma_c0368_am,' C1=',c1368_am,' sigmaC1=',sigma_c1368_am,' sigma fit=',sigma_langley_am
plots,[time1(w_final(lind_am(0))),time1(w_final(lind_am(l_count_am-1)))],[c0368_am,c0368_am]
oploterr,[time1(w_final(lind_am(0))),time1(w_final(lind_am(l_count_am-1)))],[c0368_am,c0368_am],[sigma_c0368_am,sigma_c0368_am] 

langley_label='am Langley'
xyouts,time1(w_final(lind_am(0)))+0.3,c0368_am+0.005,langley_label
xyouts,time1(w_final(lind_am(0)))-0.5,c0368_am+0.00,string(am1(w_final(lind_am(0))),format='(f3.1)')
xyouts,time1(w_final(lind_am(l_count_am-1)))+0.1,c0368_am+0.00,string(am1(w_final(lind_am(l_count_am-1))),format='(f3.1)')
endif else begin
;print,'NO am Langley'
c0368_am=0.0  &    sigma_c0368_am=0.0 & c1368_am=0.0 & sigma_c1368_am=0.0 & sigma_langley_am=0.0 &  am1_am=0.  & am2_am=0.                                    
print,l_count_am,'am1_am=',am1_am,'   am2_am=',am2_am,'  C0_am=',c0368_am,' sigmaC0_am=',sigma_c0368_am,' sigma fit=', sigma_langley_am
end

;		2-hour Langleys
t_start=[15,16,17,21,22] &  t_end  =[17,18,19,23,23.9]	; Langley's at Richland  
;t_start=[5,6,7,11,12,13] &  t_end  =[7,8,9 ,13,14,15]	; Langley's at Thessaloniki, Greece
;t_start=[12,13,14,18,19,20] &  t_end  =[14,15,16,20,21,22]	; Langley's at GSFC
;t_start=[ 3,  5, 10,12,14] &  t_end  =[ 5, 7, 12,14,16]	; Langley's at UAE
;t_start=[ 17.8, 19, 20,25,26] &  t_end  =[20, 21, 22,26,27]		; Langley's at Mauna Loa
;t_start=[ time1(w_final(lind_am(0)))] &  t_end  =[time1(w_final(lind_am(l_count_am-1)))]		; Langley's at Mauna Loa

il_good=0 & c0368_best=0.0  &    sigma_c0368_best=0.0 & c1368_best=0.0 & sigma_c1368_best=0.0 & sigma_langley_best=0.0 &  am1_best=0.  & am2_best=0.                                    

for il=0,n_elements(t_start)-1 do begin
lind=where(time1(w_final) ge t_start(il) and time1(w_final) le t_end(il),l_count) 

if l_count lt 3 then goto,skip_langley
coe_fit=poly_fit(am1(w_final(lind)),alog(nm368b(w_final(lind))),1,v_fit3,v_band3,sigma_langley3,corrm,/double) 
temp_tot368b=moment(tot368b(w_final(lind))) & mean_tot368b=temp_tot368b(0)  & sigma_tot368=sqrt(temp_tot368b(1))	
c0368=coe_fit(0) & sigma_c0368=sqrt(corrm(0,0)) & c1368=coe_fit(1) & sigma_c1368=sqrt(corrm(1,1))

il_good=il_good+1

IF (il_good eq 1) THEN BEGIN 
c0368_best=c0368 & sigma_c0368_best=sigma_c0368 & c1368_best=c1368 & sigma_c1368_best=sigma_c1368 & sigma_langley_best=sigma_langley3
am1_best=am1(w_final(lind(0))) & am2_best=am1(w_final(lind(l_count-1)))

ENDIF ELSE IF abs(c0368 - mean_lnv0368_3) lt abs(c0368_best - mean_lnv0368_3) THEN BEGIN	; re-assign closets C0 value

c0368_best=c0368 & sigma_c0368_best=sigma_c0368 & c1368_best=c1368 & sigma_c1368_best=sigma_c1368 & sigma_langley_best=sigma_langley3
am1_best=am1(w_final(lind(0))) & am2_best=am1(w_final(lind(l_count-1)))

END  

;print,'am1=',am1(w_final(lind(0))),'   am2=',am1(w_final(lind(l_count-1))),'C0=',c0368,' sigmaC0=',sigma_c0368,' C1=',c1368,' sigmaC1=',sigma_c1368,' sigma fit=',sigma_langley3
plots,[time1(w_final(lind(0))),time1(w_final(lind(l_count-1)))],[c0368,c0368]
oploterr,[time1(w_final(lind(0))),time1(w_final(lind(l_count-1)))],[c0368,c0368],[sigma_c0368,sigma_c0368] 
langley_label='Langley'
;xyouts,time1(w_final(lind(0)))+0.3,c0368+0.005,langley_label
xyouts,time1(w_final(lind(0)))-0.5,c0368+0.00,string(am1(w_final(lind(0))),format='(f3.1)')
xyouts,time1(w_final(lind(l_count-1)))+0.1,c0368+0.00,string(am1(w_final(lind(l_count-1))),format='(f3.1)')
skip_langley:
endfor		; end Langley plots

;print,'am1_best=',am1_best,'   am2_best=',am2_best,'  C0_best=',c0368_best,' sigmaC0_best=',sigma_c0368_best,' sigma fit=', sigma_langley_best

;               Right axis
!p.color=3     				; AOT368 values
axis, yaxis=1,yrange=1./scale_aot*([ymin,ymax]-aot_offset),ystyle=1, ytitle='Interpolated AERONET AOT at 368nm'

oplot,time1,scale_aot*aot368_aeronet+aot_offset,line=0		; psym=1,sym=0.5	; AERONET AOT368
ind_aer_aot= where (abs(delta_time1) le 3.0, count_ind_aer_aot) ;& print,'Number of AERONET AOT measurements :',count_ind_aer_aot
oplot,time1(ind_aer_aot),scale_aot*aot368_aeronet(ind_aer_aot)+aot_offset,psym=4,sym=0.6	; AERONET AOT368


!p.color=14		; calculate MFRSR AOT368
aot368_mfrsr= (mean_lnv0368_3 - alog(nm368b(w_final)) )/am1(w_final) - tau_ray(w_final) - tau_oz(w_final)
oplot,time1(w_final),scale_aot*aot368_mfrsr + aot_offset, psym=1,sym=0.5		; MFRSR AOT at chan wavelength
;plots,[xmin,xmax],[0,0]+aot_offset

;!p.color=7 &  oplot,time1,scale_aot*aot500b + aot_offset, psym=1,sym=0.5		; AERONET AOT 500
;!p.color=2 &  oplot,time1,scale_aot*aot440b + aot_offset, psym=1,sym=0.5		; AERONET AOT 440
;!p.color=6 &  oplot,time1,scale_aot*aot380b + aot_offset, psym=1,sym=0.5		; AERONET AOT 380
;!p.color=1 &  oplot,time1,scale_aot*aot340b + aot_offset, psym=1,sym=0.5		; AERONET AOT 340

diff_aot=aot368_mfrsr-aot368_aeronet(w_final) & stat_diff=moment(diff_aot) ;& print,'mean diff aot=',stat_diff(0) & print,'std diff aot=',sqrt(stat_diff(1))
sig_aot=sqrt(stat_diff(1))
xyouts,time1(w_final(count3-1))+0.1,scale_aot*aot368_aeronet(count3-1)+aot_offset-0.01,'!4r!dDs!x!n=' & xyouts,time1(w_final(count3-1))+0.6,scale_aot*aot368_aeronet(count3-1)+aot_offset-0.01,string(sqrt(stat_diff(1)),format='(f7.4)' )

;plot,time1,nm368a(0,*)
;oplot,time1,aot(0,*),color=222

;ifit=ifit+1
;if ifit eq 2 then goto,continue

if mode ne 'screen' then device,/close
;
out_w1:
out_w3:

return
end
