pro plot_v,sza_min,sza_max,corr_fov,year,month,day,chan,mode,r2,count_day,time_tolerance,delta_time1,sza1,am1,nm368b,aot368_aeronet,mean_ozone,mean_toms_ler,mean_psite,pres1,time1,$
aot340b,aot380b,aot440b,aot500b

;		MODIFIED
; 	04/23/2007 - plot Vdir                                                              

cd_input=string(day,format='(i2)') & cm_input=string(month,format='(i2)')
name_output='v0'+chan+string(year,format='(i4)')+strcompress(cm_input,/remove_all)+strcompress(cd_input,/remove_all)+'.ps'

;name_output='v0'+chan+string(year,format='(i4)')+string(month,format='(i5)')+string(day,format='(i3)')+'.ps'

ctitle='I!d0!n('+chan+') using AERONET AOT at Richland  '+string(year,format='(i4)')+string(month,format='(i5)')+string(day,format='(i3)')


if chan eq '300nm' then begin
yct='I at 300nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '305nm' then begin
yct='I at 305nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '311nm' then begin
yct='I at 311nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '317nm' then begin
yct='I at 317nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '325nm' then begin
yct='I at 325nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '332nm' then begin
yct='I at 332nm' & ymin=0.0 & ymax=1 ;&  ycv0av=annual_lnv0_norm+0.09 & ycv0sig=ycv0av  & dycv0av=0.01

end else if chan eq '368nm' then begin
yct='I at 368nm' & ymin=0.0 & ymax=1 &  ycv0av=.9 & ycv0sig=ycv0av  & dycv0av=0.01

end else begin
print,'not a valid channel: ',chan                                                             
stop

end



if mode eq 'screen' then begin
set_plot,'X' & device,pseudo_color=8
endif else begin
set_plot,'PS' & device,/color,/landscape,filename=name_output
endelse

;               Blue                    Red
;        0  1   2   3   4   5  6    7   8   9   10  11  12  13  14
;       -30 -25 -20 -15 -10 -5      0  +5  +10 +15 +20 +25 +30 +35
rr = [255,000,000,000,000,100,150,000,255,255,255,255,200,150,000]
gg = [255,000,050,100,150,200,220,240,230,150,100,060,020,000,000]
bb = [255,150,240,255,255,255,255,000,230,150,100,060,020,000,000]
col=[0,2,9,11,13,14]

!p.background=0

tvlct,rr,gg,bb
!p.thick=1
!p.charsize=1.1
!p.charthick=1
!x.thick=3
!y.thick=4



xct='Time of Day, GMT' & xmin=14.  & xmax=24.& xleg=20.0 ; Richland


pres_max=1.01 & pres_min=0.99	; Richland

;			AOT scale
temp=moment(aot368_aeronet) & mean_aot368=temp(0) ;& print,'mean_aot368=',mean_aot368
ymax_aot=ymax -0.10                     & ymin_aot=ymin+0.01
print,'ymin_aot,ymax_aot',ymin_aot,ymax_aot
max_aot=max(aot368_aeronet)  & min_aot=min(aot368_aeronet) 
;max_aot=max(aot368_aeronet) > 0.02  & min_aot=min(aot368_aeronet) < 0.01
;print,'min_aot,max_aot', min_aot,max_aot
scale_aot=(ymax_aot-ymin_aot)/(max_aot-min_aot)   & aot_offset=ymax_aot-scale_aot*max_aot
scale_pres=(ymax_aot-ymin_aot)/(pres_max-pres_min)  & pres_offset=ymax_aot-scale_pres*pres_max   

;

plot,time1,nm368b,color=14,/nodata, title=ctitle,$
ytitle=yct, yrange=[ymin,ymax],ystyle=8,$
xtitle=xct,xrange=[xmin,xmax],/xs
!p.color=14
plots,[xmin,xmax],[ymax_aot,ymax_aot],line=1 ;& xyouts,20,ymax_aot+0.005,'Pressure=1.01atm'
plots,[xmin,xmax],[ymin_aot,ymin_aot],line=1 ;& xyouts,20,ymin_aot+0.005,'Pressure=0.99atm'
xyouts,xleg-5,ycv0av-dycv0av,'<Pressure,atm>=' & xyouts,xleg+2.5-5,ycv0av-dycv0av,string(mean_psite,format='(f5.3)' )
oplot,time1,scale_pres*pres1  +pres_offset,psym=3,sym=0.5
xyouts,xleg-5,ycv0av,'<Ozone, DU>=' & xyouts,xleg+2.0-5,ycv0av,string(mean_ozone,format='(f5.0)' )


!p.color=11         
oplot,time1,nm368b,psym=1,sym=0.5
mnm368b=moment(nm368b) & mean_nm368b=mnm368b(0) & sigma_nm368b=sqrt(mnm368b(1))

;               Right axis
!p.color=3     				; AOT368 values
axis, yaxis=1,yrange=1./scale_aot*([ymin,ymax]-aot_offset),ystyle=1, ytitle='Interpolated AERONET AOT at 368nm'

oplot,time1,scale_aot*aot368_aeronet+aot_offset,line=0		; psym=1,sym=0.5	; AERONET AOT368
ind_aer_aot= where (abs(delta_time1) le 3.0, count_ind_aer_aot) ;& print,'Number of AERONET AOT measurements :',count_ind_aer_aot
oplot,time1(ind_aer_aot),scale_aot*aot368_aeronet(ind_aer_aot)+aot_offset,psym=4,sym=0.6	; AERONET AOT368



!p.color=7 &  oplot,time1,scale_aot*aot500b + aot_offset, psym=1,sym=0.5		; AERONET AOT 500
!p.color=2 &  oplot,time1,scale_aot*aot440b + aot_offset, psym=1,sym=0.5		; AERONET AOT 440
!p.color=6 &  oplot,time1,scale_aot*aot380b + aot_offset, psym=1,sym=0.5		; AERONET AOT 380
!p.color=1 &  oplot,time1,scale_aot*aot340b + aot_offset, psym=1,sym=0.5		; AERONET AOT 340

;plot,time1,nm368a(0,*)
;oplot,time1,aot(0,*),color=222


if mode ne 'screen' then device,/close

return
end
