pro reader_merged_g2, input_filename,$
chan,year,month,day,hour,minute,second,sza,am,$            
nm_chan,aot340,aot380,aot440,aot500,pres,ozone,toms_oz,toms_ler,delta_time,brew,no2deltaT      

;CODE TO READ THE MONTHLY Merged data with No2 (gsfc.mc.no2.txt) 
;AND SELECT  a particular day
;openr,1,'/misc/ground_data/SHADOWBAND/RAW/Goddard/Inst527gsfc.mc.no2.txt'

;	INPUT
;'enter year,month,day (yyyy,mm,dd) ',y,m,d

; 	WARNINGS
; only process 100000 records

;	MODIFICATIONS
; 04/25/06  - output no2deltaT                                                                                 
; 12/29/05  - new version of merged file: /misc/ground_data/SHADOWBAND/RAW/Goddard/Inst527/gsfc.mc.no2.txt
; 05/13/05  - fill missing Brewer by OMI ozone                                                      
; 02/18/05  - 300nm channel now aliases to 440nm voltages  !!!!                                
; 02/18/05  - to process #527 cc  voltages at Mauna Loa (new format with flipped delta_time)
;		see: c:\My Documents\UV-MFRSR527\memo for format example
; 02/03/05  - to process #391 raw voltages at UAE                                   
; 01/18/05  - to process #391 at GSFC                                               
; 11/19/04  - to add new column: delta_time                                         
; 07/18/04  - to include head #391                                                                    
; 04/30/04  - to include input_filename as input parameter                                            
; 04/15/04  - to give output for only one CIMEL                                                       
; 04/10/04  - to give output for only one channel: nm_chan for given input chan                       
; 02/10/04  - to add TOMS V8 ozone and reflectivity data to the merged dataset
; 09/17/03  - to include AOT500, pressure and ozone data


  openr,1,input_filename                                                    

a=' '
readf,1,a		;read header
hdr=a

c=0.& data=strarr(46,400000)
WHILE NOT (EOF(1)) DO BEGIN
    readf,1,a
    x=strsplit (a," ",/extract)
    data(*,c)=x
    c=c+1
ENDWHILE

data=data(*,0:c-1)

hour=float(data(5,*))
minute=float(data(6,*))
second=float(data(7,*))
day=float(data(4,*))
month=float(data(3,*))
year=float(data(2,*))
dhour=hour+minute/60. + second/3600.

nm300=fltarr(3,c) & nm305=nm300 & nm311=nm300 & nm317=nm300  & nm325=nm300 & nm332=nm300 & nm368=nm300 
nm300(0,*)=float(data(8,*))		;440nm filter!!!
nm300(1,*)=float(data(15,*))
nm300(2,*)=float(data(22,*))

nm305(0,*)=float(data(9,*))
nm305(1,*)=float(data(16,*))
nm305(2,*)=float(data(23,*))

nm311(0,*)=float(data(10,*))
nm311(1,*)=float(data(17,*))
nm311(2,*)=float(data(24,*))

nm317(0,*)=float(data(11,*))
nm317(1,*)=float(data(18,*))
nm317(2,*)=float(data(25,*))

nm325(0,*)=float(data(12,*))
nm325(1,*)=float(data(19,*))
nm325(2,*)=float(data(26,*))

nm332(0,*)=float(data(13,*))
nm332(1,*)=float(data(20,*))
nm332(2,*)=float(data(27,*))

nm368(0,*)=float(data(14,*))
nm368(1,*)=float(data(21,*))
nm368(2,*)=float(data(28,*))

sza=float(data(30,*))
am=float(data(32,*))
aot340=float(data(34,*))
aot380=float(data(35,*))
aot440=float(data(36,*))
aot500=float(data(37,*))
pres=float(data(39,*))
ozone=float(data(40,*))
delta_time=float(data(38,*))
toms_oz=float(data(41,*))
toms_ler=float(data(42,*))
brewno2=float(data(43,*))
no2err=float(data(44,*))
no2deltaT=float(data(45,*))

;***************************NOW READ IN BREWER AOT VALUES**********************
file='/misc/ground_data/SHADOWBAND/RAW/Goddard/Inst527/gsfc.aot.txt'
openr,2,file & a=' ' &  readf,2,a  & hdr=a
c=0.& brew_st=strarr(41,400000)
WHILE NOT (EOF(2)) DO BEGIN 
   readf,2,a 
   x=strsplit (a," ",/extract) 
   brew_st(*,c)=x 
   c=c+1
endwhile

close,2
brew_st=brew_st(5:*,0:c-1)		;first 18 are aots , second 18 are error values

brew=float(brew_st) 		; Convert to float values


;At 12:00 PM 8/13/03 -0600, you wrote:
;>Hi Nick,
;>
;>After hearing about Gordon's conversation with Jim this morning, it seems
;>that I should just send you the head and board gains.  You can use
;>them to convert the calibrated irradiances (watts m^-2 sec^-1) back
;>to the cosine-corrected voltages that we submit to the Langley Analyzer.
;>To do this multiply the irradiance by (HGAIN * BGAIN) for the appropriate
;>channel.  The gains are in the tables below.
;>

;CASE  id	OF
;
;271:		BEGIN 
;;>SERIAL_NUM TESTING_AGENCY CHANNEL_ID CENTER_LAMBDA  HGAIN
;;>---------- -------------- ---------- -------------  ----------
;;>271        CUCF                    1 299.758        -60.69254
;;>271        CUCF                    2 305.408        -30.06948
;;>271        CUCF                    3 311.485        -5.54545
;;>271        CUCF                    4 317.638        -2.35856
;;>271        CUCF                    5 325.498        -2.24893
;;>271        CUCF                    6 332.558        -1.80954
;;>271        CUCF                    7 367.906        -1.45817
;
;hgain300=-60.69254
;hgain305=-30.06948
;hgain311=-5.54545
;hgain317=-2.35856
;hgain325=-2.24893 
;hgain332=-1.80954 
;hgain368=-1.45817 
;
;;>BOARD      TESTING_AGENCY CHANNEL_ID BGAIN
;;>---------- -------------- ---------- ----------
;;>10727      YANKEE                  1 -1996.3
;;>10727      YANKEE                  2 -1242.6
;;>10727      YANKEE                  3 -1243.1
;;>10727      YANKEE                  4 -1243.3
;;>10727      YANKEE                  5 -1243
;;>10727      YANKEE                  6 -1242.6
;;>10727      YANKEE                  7 -1243.9

;bgain300=-1996.3    
;bgain305=-1242.6    
;bgain311=-1243.1 
;bgain317=-1243.3 
;bgain325=-1243.0 
;bgain332=-1242.6  
;bgain368=-1243.9  
;		END

;391:		BEGIN
;
;;				Head #391
;;Date: Wed, 14 Jul 2004 15:29:55 -0600 (MDT) 
;;From: Gwen Scott <gwen@uvb.nrel.colostate.edu> 
;;Hi Nick,
;;Here are the head and board gains for #391 (board #10727):
;;SERIAL CHANNEL_ID CENTER_LAMBDA      BGAIN      HGAIN
;;------ ---------- ------------- ---------- ----------
;;391             1       299.883    -1996.3  -56.40555
;;391             2       305.262    -1242.6  -22.51683
;;391             3       311.241    -1243.1   -4.15931
;;391             4       317.686    -1243.3    -2.4381
;;391             5       325.298      -1243   -1.88481
;;391             6       332.583    -1242.6   -1.35786
;;391             7       368.043    -1243.9   -1.20087
;;The board gains (BGAIN) were determined by YANKEE on Nov. 30, 1999;
;;the head gains (HGAIN) and centers of wavelength were determined by 
;;CUCF on Nov. 5, 2002.
;;
;hgain300=-56.40555
;hgain305=-22.51683
;hgain311=-4.15931
;hgain317=-2.4381 
;hgain325=-1.88481 
;hgain332=-1.35786 
;hgain368=-1.20087 
;
;bgain300=-1996.3    
;bgain305=-1242.6    
;bgain311=-1243.1 
;bgain317=-1243.3 
;bgain325=-1243.0 
;bgain332=-1242.6  
;bgain368=-1243.9  
;		END
;
;ELSE:		BEGIN
;print,'reader_merged: wrong head #	', id
;stop
;		END
;ENDCASE

;	Does not need converting raw voltages (/home/labow/Shadowband/UAE/test.uae.08.txt )
; convert calibrated irradiances [Watts m^-2 sec^-1] back to the cosine corrected voltages
;  nm300(*,i)=nm300(*,i)*hgain300*bgain300
;  nm305(*,i)=nm305(*,i)*hgain305*bgain305
;  nm311(*,i)=nm311(*,i)*hgain311*bgain311
;  nm317(*,i)=nm317(*,i)*hgain317*bgain317
;  nm325(*,i)=nm325(*,i)*hgain325*bgain325
;  nm332(*,i)=nm332(*,i)*hgain332*bgain332
;  nm368(*,i)=nm368(*,i)*hgain368*bgain368

 close,1   

;		SELECT ONE CHANNEL TO Process 

if chan eq '440nm' then begin
;if chan eq '300nm' then begin		; 300nm channel is aliased to 440nm filter
nm_chan=nm300                                                                            
end else if chan eq '305nm' then begin
nm_chan=nm305
end else if chan eq '311nm' then begin
nm_chan=nm311
end else if chan eq '317nm' then begin
nm_chan=nm317
end else if chan eq '325nm' then begin
nm_chan=nm325
end else if chan eq '332nm' then begin
nm_chan=nm332
end else if chan eq '368nm' then begin
nm_chan=nm368
end else begin
print,'not a valid channel: ',chan
stop

end


return
end
